alter table URUNDANA_USER_PROFILE add constraint FK_URUNDANA_USER_PROFILE_ON_USER foreign key (USER_ID) references SEC_USER(ID);
alter table URUNDANA_USER_PROFILE add constraint FK_URUNDANA_USER_PROFILE_ON_PERSONAL_DATA foreign key (PERSONAL_DATA_ID) references URUNDANA_PERSONAL_DATA_PROFILE(ID);
alter table URUNDANA_USER_PROFILE add constraint FK_URUNDANA_USER_PROFILE_ON_JOB foreign key (JOB_ID) references URUNDANA_JOB_PROFILE(ID);
alter table URUNDANA_USER_PROFILE add constraint FK_URUNDANA_USER_PROFILE_ON_DOCUMENT foreign key (DOCUMENT_ID) references URUNDANA_DOCUMENT_PROFILE(ID);
alter table URUNDANA_USER_PROFILE add constraint FK_URUNDANA_USER_PROFILE_ON_BANK foreign key (BANK_ID) references URUNDANA_BANK_PROFILE(ID);
alter table URUNDANA_USER_PROFILE add constraint FK_URUNDANA_USER_PROFILE_ON_PREFERENCE foreign key (PREFERENCE_ID) references URUNDANA_PREFERENCE_PROFILE(ID) on delete CASCADE;
create index IDX_URUNDANA_USER_PROFILE_ON_USER on URUNDANA_USER_PROFILE (USER_ID);
create index IDX_URUNDANA_USER_PROFILE_ON_PERSONAL_DATA on URUNDANA_USER_PROFILE (PERSONAL_DATA_ID);
create index IDX_URUNDANA_USER_PROFILE_ON_JOB on URUNDANA_USER_PROFILE (JOB_ID);
create index IDX_URUNDANA_USER_PROFILE_ON_DOCUMENT on URUNDANA_USER_PROFILE (DOCUMENT_ID);
create index IDX_URUNDANA_USER_PROFILE_ON_BANK on URUNDANA_USER_PROFILE (BANK_ID);
create index IDX_URUNDANA_USER_PROFILE_ON_PREFERENCE on URUNDANA_USER_PROFILE (PREFERENCE_ID);
